package test.annotation;

import net.w_horse.excelpojo.annotation.Bean;
import net.w_horse.excelpojo.annotation.LabeledCell;
import net.w_horse.excelpojo.xml.tag.RetrieveFrom;

@Bean
public class LabeledCellMargedLabel {
	@LabeledCell(label="タイトル", margedLabel=0, retrieveFrom=RetrieveFrom.RIGHT)
	private String retrievMargedLable0;

	@LabeledCell(label="タイトル", margedLabel=1, retrieveFrom=RetrieveFrom.RIGHT)
	private String retrievMargedLable1;

	@LabeledCell(label="タイトル2", retrieveFrom=RetrieveFrom.RIGHT)
	private String retrievMargedLableNone;

	/**
	 * retrievMargedLable0を取得します。
	 * @return retrievMargedLable0
	 */
	public String getRetrievMargedLable0() {
	    return retrievMargedLable0;
	}

	/**
	 * retrievMargedLable0を設定します。
	 * @param retrievMargedLable0 retrievMargedLable0
	 */
	public void setRetrievMargedLable0(String retrievMargedLable0) {
	    this.retrievMargedLable0 = retrievMargedLable0;
	}

	/**
	 * retrievMargedLable1を取得します。
	 * @return retrievMargedLable1
	 */
	public String getRetrievMargedLable1() {
	    return retrievMargedLable1;
	}

	/**
	 * retrievMargedLable1を設定します。
	 * @param retrievMargedLable1 retrievMargedLable1
	 */
	public void setRetrievMargedLable1(String retrievMargedLable1) {
	    this.retrievMargedLable1 = retrievMargedLable1;
	}

	/**
	 * retrievMargedLableNoneを取得します。
	 * @return retrievMargedLableNone
	 */
	public String getRetrievMargedLableNone() {
	    return retrievMargedLableNone;
	}

	/**
	 * retrievMargedLableNoneを設定します。
	 * @param retrievMargedLableNone retrievMargedLableNone
	 */
	public void setRetrievMargedLableNone(String retrievMargedLableNone) {
	    this.retrievMargedLableNone = retrievMargedLableNone;
	}


}
